Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus config set`

Set instance or server configuration keys

## Synopsis

Description: Set instance or server configuration keys

For backward compatibility, a single configuration key may still be set with: incus config set [:][]

    incus config set [<remote>:][<instance>] <key>=<value>... [flags]

## Examples

      incus config set [<remote>:]<instance> limits.cpu=2
          Will set a CPU limit of "2" for the instance.

      incus config set core.https_address=[::]:8443
          Will have the server listen on IPv4 and IPv6 port 8443.

## Options

      -p, --property   Set the key as an instance property
          --target     Cluster member name

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus config - Manage instance and server configuration options